#%define ver     0.7.98

%{expand:%%define perl_version %(rpm -q perl|sed 's/perl-\([0-9].*\)-.*$/\1/')}

Name:		irssi
Version:	0.7.98.3
Release: 4mdk
Summary:	Irssi is an IRC client
License:	GPL
Group:		Networking/IRC
BuildRequires:	XFree86-devel ORBit-devel gnome-libs audiofile-devel esound-devel
BuildRequires:	imlib-devel gtk+-devel libglib1.2-devel gpm-devel libncurses-devel gnome-core zlib-devel
URL:		http://irssi.org/
Source:		http://irssi.org/irssi/files/irssi-%{version}.tar.bz2
Source1:	irssi16.xpm.bz2
Source2:	irssi32.xpm.bz2
Source3:	irssi48.xpm.bz2
Patch: 		irssi-doc.patch.bz2

Requires:	gtk+, perl-base = %{perl_version}
BuildRoot:	%_tmppath/%name-%version-root

%description
Irssi is a textUI IRC client with IPv6 support written by
Timo Sirainen <a@sicom.fi>.

More information can be found at http://www.sicom.fi/~ikioma/irssi.html.

%package devel
Group: Development/C
Summary: Header files and static libs for the development of irssi applications.
Requires: %{name} = %{version}

%description devel
Header files and static libs for the development of irssi applications.

%prep

%setup -q -n %name-%version
%patch -p1

%build
CFLAGS="%optflags" %configure \
			       --with-plugins \
			       --with-mysql \
			       --with-textui=ncurses \
			       --enable-ipv6 \
			       --enable-nls

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX="$RPM_BUILD_ROOT%{_prefix}" \
	INSTALLPRIVLIB="$RPM_BUILD_ROOT%{_prefix}" \
	INSTALLARCHLIB="$RPM_BUILD_ROOT%{perl_archlib}" \
	INSTALLSITELIB="$RPM_BUILD_ROOT%{perl_sitearch}" \
	INSTALLSITEARCH="$RPM_BUILD_ROOT%{perl_sitearch}" 

install -d %buildroot/%_sysconfdir/irssi
#cp %buildroot/%_prefix/etc/irssi/* %buildroot/%_sysconfdir/irssi/

# LMDK Menu entries
install -d %buildroot/%_menudir
cat << EOF >%buildroot/%_menudir/%name
?package(%name):needs="text" section="Networking/IRC" \
title="Irssi" \
icon="irssi.xpm" \
longtitle="A Text-UI based Irc Client" \
section="Networking/IRC" \
command="irssi"
EOF

# mdk icons
install -d %buildroot/{%_miconsdir,%_liconsdir}
bzcat %{SOURCE1} > %buildroot/%_miconsdir/%name.xpm
bzcat %{SOURCE2} > %buildroot/%_iconsdir/%name.xpm
bzcat %{SOURCE3} > %buildroot/%_liconsdir/%name.xpm

%find_lang %{name}
%post 
%update_menus

%postun
%clean_menus

%clean
rm -rf %buildroot

%files  -f %{name}.lang
%defattr (-,root,root)
%doc AUTHORS COPYING INSTALL ChangeLog README TODO NEWS
%attr(755,root,root) %_bindir/*
%{_datadir}/irssi
%{_docdir}/irssi
%{_libdir}/irssi/modules/*.so
%{_libdir}/irssi/modules/*.la
%{perl_archlib}/*
%{perl_sitearch}/*
%config(noreplace) /etc/irssi/*
%{_liconsdir}/*.xpm
%{_miconsdir}/*.xpm
%{_iconsdir}/*.xpm

%files devel
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL ChangeLog README TODO NEWS
%{_libdir}/irssi/modules/*.a

%changelog
* Mon Aug 13 2001 dam's <damien@mandrakesoft.com> 0.7.98.3-4mdk
- added devel package

* Sat Aug  4 2001 Pixel <pixel@mandrakesoft.com> 0.7.98.3-3mdk
- add require the perl-base used for building (the libperl.so auto-require is not enough)

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.7.98.3-2mdk
- Rebuild against the newest and shiniest perl 5.6.1 (dam's you suck for
  forgetting to rebuild this :) .
  
* Sun Apr 08 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.7.98.3-1mdk
- New and shiny source.

* Sun Apr 08 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.7.98.2-3mdk
- Use %%perl_sitearch and %%perl_archlib.

* Sun Apr 08 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.7.98.2-2mdk
- Add nls support.
- Make it build much better.

* Tue Mar 6 2001 Daouda Lo <daouda@mandrakesoft.com> 0.7.98.2-1mdk
- release 0.7.98.2

* Wed Jan 03 2001 David BAUDENS <baudens@mandrakesoft.com> 0.7.97.2-2mdk
- Use optimizations

* Tue Dec 19 2000  Daouda Lo <daouda@mandrakesoft.com> 0.7.97.2-1mdk
- update 
- cleanups

* Tue Dec 5 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7.97-1mdk
- update
- big changes in spec (cleanup, GTK/GNOME support dropped by the author)
- fix ncurses build dependencies
- new description
- libproplist isn't needed anymore (irssi ship his own conf lib)

* Thu Nov 16 2000 David BAUDENS <baudens@mandrakesoft.com> 0.7.96-2mdk
- Fix again build for archs <> than i386

* Mon Nov 13 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7.96-1mdk
- big release ;-)
- build with bot , perl , mysql support 
- text based support
- provides all icons 
- mv from /usr/doc to /usr/share/doc

* Fri Sep 29 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7.20.1-10mdk
- icons should be transparents.
- include menu entry in the body of spec file.
- more macrozifications.

* Mon Sep 25 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7.20.1-9mdk
- add 32*32 icon for menu & replace gif icons format by xpm format.
 
* Wed Sep 20 2000 David BAUDENS <baudens@mandrakesoft.com> 0.7.20.1-8mdk
- %%config(noreplace)
- Remove stupid hard coded PATH in Menu entry
- Macros
- Use %%_tmppath for BuidRoot
- Spec clean up
- Remove french Description and Summary
- Fix typos in longtile (Menu entry)

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.7.20.1-7mdk
- automatically added BuildRequires

* Tue Apr 11 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7.20.1-6mdk
- change icons
- clean spec.

* Fri Apr 04 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7.20.1-5mdk
- add icons

* Sat Apr 1 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7.20.1-3mdk
- add menu entry

* Sat Mar 25 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7.20.1-2mdk
- group fix

* Thu Dec 02 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 0.7.20.1

* Thu Nov 04 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Clean up the file section (removes xmms conflict)

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 0.7.18 :
    - Authors Note :
    There's still a small bug in 0.7.18 irssi, if you
    use GtkText to print text it won't scroll down
    automatically. Solution: Use irssi text widget..
- update URL & src url
- Enable SMP check/build & add bzip2 macro

* Mon Aug 23 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 0.7.14

* Mon Jul 26 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Rebuild (4mdk)

* Thu Jul 15 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- --sysconfdir=/etc

* Tue May 11 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- Make Mandrake compliant again

* Fri Apr 30 1999 Gal Duval <gael@linux-mandrake.com>
- lipstick

* Fri Apr 16 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- Mandrake compliant
- Change Group to Internet

* Mon Mar 29 1999 JT Traub <jtraub@dragoncat.net>
- Updated to 0.7.6.
- text mode client re-added.

* Thu Mar 25 1999 JT Traub <jtraub@dragoncat.net>
- Updated sources

* Sat Mar 13 1999 JT Traub <jtraub@dragoncat.net>
- Updated to 0.7.4 sources
- Added the irssi-text bin to the package.

* Mon Feb 22 1999 JT Traub <jtraub@dragoncat.net>
- Made spec file compliant with RHCN guidelines.

* Sun Feb 13 1999 JT Traub <jtraub@dragoncat.net>
- Updated to 0.6.0 sources.
- Cleaned up spec file to make it relocatable on install

* Sun Feb 7 1999  JT Traub <jtraub@dragoncat.net>
- Updated sources to 0.5.0
- removed obsolete patch lines

* Sat Feb 3 1999  JT Traub <jtraub@dragoncat.net>
- Updated sources to 0.4.0
- Deleted old patch line

* Sat Jan 30 1999  JT Traub <jtraub@dragoncat.net>
- Updated sources to 0.3.6
- Updated spec to install the .desktop file.
- Removed the now obsolete patch lines

* Wed Jan 27 1999  JT Traub <jtraub@dragoncat.net>
- Upgraded to 0.3.5

* Sun Jan 24 1999  JT Traub <jtraub@dragoncat.net>
- First attempt at building this
